List reserved entry groups for an event occurrence
curl --request GET \
--url https://api.letsdothis.com/v0/event-occurrences/{id}/reserved-entries \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/event-occurrences/{id}/reserved-entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/event-occurrences/{id}/reserved-entries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "re_abcd6ss01x8",
"name": "Lorem ipsum",
"description": "Nulla sed mi egestas, condimentum orci quis, pulvinar odio.",
"eventId": "11120888",
"partnerId": "p_abcdiqh2oa4",
"maxCapacity": 35,
"usedCapacity": 15,
"tickets": [
{
"ticketSlug": "1106607777",
"maxCapacity": 10,
"discount": {
"type": "FLAT_RATE",
"price": {
"value": 10,
"currencyCode": "GBP"
}
},
"startDateTime": "2024-01-08T11:30:00.000Z"
},
{
"ticketSlug": "2206607777",
"discount": {
"type": "PERCENTAGE",
"amount": 10,
"isAppliedToBookingFee": true
}
}
],
"type": "MULTI_USE",
"settings": {
"canPartnerCancel": true,
"reserveCapacity": "IGNORE_CAPACITY",
"reallocateOnCancel": true,
"domainRestriction": "@letsdothis.com"
}
}
],
"page": {
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
}Reserved entries
List reserved entry groups for an event occurrence
Returns a paginated list of reserved entry groups for a single occurrence of an event. Prefer this to the event-scoped list, which spans every occurrence.
GET
/
v0
/
event-occurrences
/
{id}
/
reserved-entries
List reserved entry groups for an event occurrence
curl --request GET \
--url https://api.letsdothis.com/v0/event-occurrences/{id}/reserved-entries \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/event-occurrences/{id}/reserved-entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/event-occurrences/{id}/reserved-entries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "re_abcd6ss01x8",
"name": "Lorem ipsum",
"description": "Nulla sed mi egestas, condimentum orci quis, pulvinar odio.",
"eventId": "11120888",
"partnerId": "p_abcdiqh2oa4",
"maxCapacity": 35,
"usedCapacity": 15,
"tickets": [
{
"ticketSlug": "1106607777",
"maxCapacity": 10,
"discount": {
"type": "FLAT_RATE",
"price": {
"value": 10,
"currencyCode": "GBP"
}
},
"startDateTime": "2024-01-08T11:30:00.000Z"
},
{
"ticketSlug": "2206607777",
"discount": {
"type": "PERCENTAGE",
"amount": 10,
"isAppliedToBookingFee": true
}
}
],
"type": "MULTI_USE",
"settings": {
"canPartnerCancel": true,
"reserveCapacity": "IGNORE_CAPACITY",
"reallocateOnCancel": true,
"domainRestriction": "@letsdothis.com"
}
}
],
"page": {
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the resource to query by
Query Parameters
The number of entries to return per page. Range between 1 - 500, defaults to 100
Required range:
1 <= x <= 500Example:
100
Accepts an existing page cursor. For more details see the definition of PageCursor in the response.
Accepts an existing page cursor. For more details see the definition of PageCursor in the response.
Response
200 - application/json
Default Response
A paginated list of reserved entry groups for an event.
Show child attributes
Show child attributes
Cursor details for pagination.
- In scenarios with large amounts of data, it's common to return only a subset of data in a single request, known as a "page".
- Most API responses include two objects: a 'data' object with the query results, and a 'PageCursor' object detailing the current page.
- Cursors can be used to navigate to earlier or later pages in the set of results. For instance, passing the 'next' cursor from 'PageCursor' fetches the next set of results.
- Cursors are base64 encoded strings.
Show child attributes
Show child attributes
Example:
{
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
Was this page helpful?

